/*
** PROJEKAT : Osnove programiranja u programskom jeziku C
** DATOTEKA : P02_03_krug.c
** OPIS     : Napisati program u programskom jeziku C koji na standardnom izlaznom uredjaju  
**            prikazuje povrine i obime krugova ciji su poluprecnici zadati(11.1, 12.2, 13.3, 14.4, 15.5)
**            upotrebom funkcija i funkcijskih prototipova.
** DATUM    : 26.02.2016.
** AUTOR    : S.D.L.
** PROMENE  :
**  xx.xx.xxxx. - <opis promene> (<programer>)
**  
** Copyright (C) FON-LSI, 2016.
*/

#include <stdio.h>

#define      PI   3.1415926536

const double pi = 3.1415926536;

double pp1 = 11.1, pp2 = 12.2, pp3 = 13.3, pp4 = 14.4, pp5 = 15.5;
double pv1, pv2, pv3, pv4, pv5,
       ob1, ob2, ob3, ob4, ob5;

void IzracunajPovrsinu(void);
void IzracunajObim(void);
void PrikazZaglavlja(void);
void PrikazRezultata(void);

int  main(void)
{    
	printf(">>> P02_03_krug.c  <<<\n\n");
			
	IzracunajPovrsinu();
	IzracunajObim();

	PrikazZaglavlja();
	PrikazRezultata();
	
	return 0;		
}

void IzracunajPovrsinu(void) {
	pv1 = pp1 * pp1 * pi;
	pv2 = pp2 * pp2 * pi;
	pv3 = pp3 * pp3 * pi;
	pv4 = pp4 * pp4 * pi;
	pv5 = pp5 * pp5 * pi;	
}

void IzracunajObim(void) {
	ob1 = 2 * pp1 * PI;
	ob2 = 2 * pp2 * PI;
	ob3 = 2 * pp3 * PI;
	ob4 = 2 * pp4 * PI;
	ob5 = 2 * pp5 * PI;	
}

void PrikazZaglavlja(void) {
	printf(" POVRSINE I OBIMI KRUGOVA\n\n");
	printf(" Poluprecnik     Povrsina     Obim\n"
	       "===================================\n");
}

void PrikazRezultata(void) {
	printf("%12.1lf %12.3lf %8.3lf\n", pp1, pv1, ob1);
	printf("%12.1lf %12.3lf %8.3lf\n", pp2, pv2, ob2);
	printf("%12.1lf %12.3lf %8.3lf\n", pp3, pv3, ob3);
	printf("%12.1lf %12.3lf %8.3lf\n", pp4, pv4, ob4);
	printf("%12.1lf %12.3lf %8.3lf\n", pp5, pv5, ob5);
}
