/*
** PROJEKAT : Osnove programiranja u programskom jeziku C
** DATOTEKA : P02_04_krug.c
** OPIS     : Napisati program u programskom jeziku C koji na standardnom izlaznom uredjaju  
**            prikazuje povrine i obime krugova ciji su poluprecnici zadati (11.1, 12.2, 13.3, 14.4, 15.5)
**            upotrebom funkcija, funkcijskih prototipova i pomocnih funkcija za izracunavanje povrsine i obima. 
** DATUM    : 26.02.2016.
** AUTOR    : S.D.L.
** PROMENE  :
**  xx.xx.xxxx. - <opis promene> (<programer>)
**  
** Copyright (C) FON-LSI, 2016.
*/

#include <stdio.h>

#define PI    3.1415926536

double  pp1 = 11.1, pp2 = 12.2, pp3 = 13.3, pp4 = 14.4, pp5 = 15.5;
double  pv1, pv2, pv3, pv4, pv5,
        ob1, ob2, ob3, ob4, ob5;

void IzracunajPovrsinu(void);
void IzracunajObim(void);
void PrikazZaglavlja(void);
void PrikazRezultata(void);

int  main(void)
{    
	printf(">>> P02_04_krug.c  <<<\n\n");
	
	IzracunajPovrsinu();
	IzracunajObim();

	PrikazZaglavlja();
	PrikazRezultata();
	
	return 0;		
}

//////////////////////////////////////////////////////////
double PovKruga(double pp) {
	double pov;
	pov = pp * pp * PI;
	return pov;	
}

void IzracunajPovrsinu(void) {
	pv1 = PovKruga(pp1);
	pv2 = PovKruga(pp2);
	pv3 = PovKruga(pp3);
	pv4 = PovKruga(pp4);
	pv5 = PovKruga(pp5);	
}
//////////////////////////////////////////////////////////

double ObKruga(double pp) {
	return 2 * pp * PI;	
}

void IzracunajObim(void) {
	ob1 = ObKruga(pp1);
	ob2 = ObKruga(pp2);
	ob3 = ObKruga(pp3);
	ob4 = ObKruga(pp4);
	ob5 = ObKruga(pp5);	
}
//////////////////////////////////////////////////////////

void PrikazZaglavlja(void) {
	printf(" POVRSINE I OBIMI KRUGOVA\n\n");
	printf(" Poluprecnik     Povrsina     Obim\n"
	       "===================================\n");
}

void PrikazRezultata(void) {
	printf("%12.1lf %12.3lf %8.3lf\n", pp1, pv1, ob1);
	printf("%12.1lf %12.3lf %8.3lf\n", pp2, pv2, ob2);
	printf("%12.1lf %12.3lf %8.3lf\n", pp3, pv3, ob3);
	printf("%12.1lf %12.3lf %8.3lf\n", pp4, pv4, ob4);
	printf("%12.1lf %12.3lf %8.3lf\n", pp5, pv5, ob5);
}
