/*
** PROJEKAT : Osnove programiranja u programskom jeziku C
** DATOTEKA : P02_05_krug.c
** OPIS     : Napisati program u programskom jeziku C koji na standardnom izlaznom uredjaju  
**            prikazuje povrsine i obime krugova ciji su poluprecnici zadati (11.1, 12.2, 13.3, 14.4, 15.5)
**            upotrebom funkcija, funkcijskih prototipova i pomocnih funkcija za izracunavanje povrsine i obima.
**            Umesto skalara (promenljivih skalarnog tipa) koristiti nizove skalara (promenljive tipa niz skalara).
** DATUM    : 26.02.2016.
** AUTOR    : S.D.L.
** PROMENE  :
**  xx.xx.xxxx. - <opis promene> (<programer>)
**  
** Copyright (C) FON-LSI, 2016.
*/

#include <stdio.h>

#define PI    3.1415926536

double  pp[5] = {11.1, 12.2, 13.3, 14.4, 15.5};
double  pv[5], ob[5];

void IzracunajPovrsinu(void);
void IzracunajObim(void);
void PrikazZaglavlja(void);
void PrikazRezultata(void);

int  main(void)
{    
	printf(">>> P02_05_krug.c  <<<\n\n");
	
	IzracunajPovrsinu();
	IzracunajObim();

	PrikazZaglavlja();
	PrikazRezultata();
	
	return 0;		
}

//////////////////////////////////////////////////////////
double PovKruga(double pp) {
	double pov;
	pov = pp * pp * PI;
	return pov;	
}

void IzracunajPovrsinu(void) {
	int i;
	for (i = 0; i<=4; i = i+1)
		pv[i] = PovKruga(pp[i]);
}
//////////////////////////////////////////////////////////

double ObKruga(double pp) {
	return 2 * pp * PI;	
}

void IzracunajObim(void) {
	for (int i = 0; i<=4; i++)
		ob[i] = ObKruga(pp[i]);
}
//////////////////////////////////////////////////////////

void PrikazZaglavlja(void) {
	printf(" POVRSINE I OBIMI KRUGOVA\n\n");
	printf(" Poluprecnik     Povrsina     Obim\n"
	       "===================================\n");
}

void PrikazRezultata(void) {
	for (int i = 0; i<=4; i++)
	printf("%12.1lf %12.3lf %8.3lf\n", pp[i], pv[i], ob[i]);
}
