/*                    
** PROJEKAT : Osnove programiranja u programskom jeziku C
** DATOTEKA : P02_07_oblast.c
** OPIS     : Napisati program u programskom jeziku C kojim se pokazuje
**            oblast vazenja identifikatora. Isti identifikator se moze ponovo
**            upotrebiti u novoj deklaraciji ugnezdjenoj u njegovu postojecu oblast vazenja.
**            Tada nova deklaracija istog identifikatora PREKRIVA spoljasnju deklaraciju, pa 
**            su promenljiva ili funkcija deklarisane u spoljasnjem bloku nevidljivi u 
**            unutrasnjoj oblasti vazenja.
** DATUM    : 26.02.2016.
** AUTOR    : S.D.L. 
** PROMENE  :
**  xx.xx.xxxx. - <opis promene> (<programer>)
**  
** Copyright (C) FON-LSI, 2016.
*/

#include <stdio.h>

// Deklaracija promenljive x tipa long, cija je oblast vazenja datoteka
long x;

// Deklaracija parametra x tipa char, cija je oblast vazenja prototip funkcije
double UvecajZa_3tacka1(char x);

int main(void) { 
	// Deklaracija promenljive x tipa double, cija je oblast vazenja blok, tj. telo f-je main()
	double x = UvecajZa_3tacka1(100);   
	
	// Ovde je x tipa double
	if (x > 0) {
		// Deklaracije promenljive x tipa float, cija je oblast vazenja ugnezdjeni blok.
		// Spoljasnja deklaracija promenljive x se prekriva.
		float x = 0.2F;
		printf("\nPromenljiva x je tipa float : %8.4f", x);
	}
	// Sada je x ponovo tipa double 
	x *= 2;
	printf("\nPromenljiva x je tipa double: %8.4lf", x);
		
	return 0;		
}

double UvecajZa_3tacka1(char x) {
	return (x + 3.1);
}