/*                    
** PROJEKAT : Osnove programiranja u programskom jeziku C
** DATOTEKA : P02_08_tip.c
** OPIS     : Napisati program u programskom jeziku C kojim se pokazuju
**            osnovne osobine tipova podataka.
**            .
**            . 
**            .
**            .
** DATUM    : 26.02.2016.
** AUTOR    : S.D.L. 
** PROMENE  :
**  xx.xx.xxxx. - <opis promene> (<programer>)
**  
** Copyright (C) FON-LSI, 2016.
*/

#include <stdio.h>
#include <limits.h>
#include <stdbool.h>

int intVar;

int main(void) { 
	printf("\nTip: char (signed char)");
	printf("\nVelicina :  %d By  ili  %d bitova", sizeof(char), 8*sizeof(char));
	printf("\nCHAR_MAX :  %ld", CHAR_MAX);
	printf("\nCHAR_MIN : %ld\n", CHAR_MIN);
	
	printf("\nVelika slova (engleskog) alfabeta:\n");
	for (char ch = 'A'; ch <= 'Z'; ++ch)
		printf("%3c", ch);
	printf("\nNumericka vrednost velikih slova (engleskog) alfabeta:\n");
	for (char ch = 'A'; ch <= 'Z'; ++ch)
		printf("%3d", ch);

	// Deklarisanje logicke promenljive
	_Bool a;
	// Definisanje logicke promenljive
	a = 0;
	// Zbog stdio.h moguce je logicke promenljive definisati na sledeci nacin:
	bool b = true, c = false;
	if (!a) // Evaluacija: if (not false)
		printf("\n\nb = %d,  c = %d", b, c);
			
	printf("\n\nTip: unsigned char");
	printf("\nVelicina :  %d By  ili  %d bitova", sizeof(unsigned char), 8*sizeof(unsigned char));
	printf("\nCHAR_MAX :  %ld", UCHAR_MAX);
	printf("\nCHAR_MIN :  %ld\n", 0);
		
	printf("\nTip: int (signed, signed int)");
	printf("\nVelicina:  %d By  ili  %d bita", sizeof(int), 8*sizeof(int));
	printf("\nINT_MAX :  %ld", INT_MAX);
	printf("\nINT_MIN : %ld", INT_MIN+1);
	printf("\nINT_MIN : %lld", INT_MIN);
	
	return 0;		
}
